Skip to main content
POST
Adds a Part to an Upload

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

upload_id
string
required

The ID of the Upload.

Example:

"upload_abc123"

Body

multipart/form-data
data
file
required

The chunk of bytes for this Part.

Response

200 - application/json

OK

The upload Part represents a chunk of bytes we can add to an Upload object.

id
string
required

The upload Part unique identifier, which can be referenced in API endpoints.

created_at
integer
required

The Unix timestamp (in seconds) for when the Part was created.

upload_id
string
required

The ID of the Upload object that this Part was added to.

object
enum<string>
required

The object type, which is always upload.part.

Available options:
upload.part